﻿html {
    height: 100%;
}

body {
    background: url("../img/fidelity-bg.jpg") no-repeat;
    background-size: cover;
    height: 100%;
    width: 100%;
    padding: 0 0;
}

.gradient-btn {
    background: linear-gradient(to right, #9D9FA2, #7C7E80, #4F5051);
    border: none;
}

.main-panel {
    width: 100%;
    height: 100%;
    display: flex;
    flex-flow: column nowrap;
    justify-content: space-evenly;
    align-items: center;
    padding-top: 50px;
}

.main-form {
    display: flex;
    flex-flow: column nowrap;
    justify-content: center;
    align-items: center;
    margin-top: 2rem;
    margin-bottom: 5rem;
}

/*                          Header logo image */
.logo-img {
    /*border:2px solid yellow;*/
    /*margin-top: 6rem !important;*/
    /*margin-bottom: 6rem !important;*/
}

.white-text {
    color: white !important;
}





/*                          Welcome title section */

.welcome-msg {
}

.title {
    /*font-family: "Calibri";*/
    color: #FFFFFF;
    font-size: 22px;
    font-weight: 200;
}







/*                          wrong/required credentials sections */
.validation-container {
    background-color: #EB9B4A;
    padding: 1rem;
    margin-bottom: 1rem;
    width: 100%;
    text-align: center;
    display: flex;
    flex-flow: column nowrap;
    justify-content: center;
    align-items: center;
}

    .validation-container ul {
        list-style-type: none;
        padding: 0;
        margin: 0;
    }

.validation-msg {
    font-size: 15px;
    color: #FFFFFF;
}

/*                          Username - password textbox inputs    */
.form-control {
    width: 25rem;
    margin-left: 0 !important;
    margin-right: 0 !important;
    max-width: none;
    border-radius: 0.5rem;
    height: 3.5rem;
    font-size: 16px;
    color: white;
    background-color: transparent;
}

.form-control::placeholder,
.form-control:focus::placeholder,
.form-control:active::placeholder {
    color: white;
    background-color: transparent !important;
}

.form-control:focus,
.form-control:active {
    color: white;
    background-color: transparent !important;
}

    /*                          Remember me - Forget password section */
.label-container {
    display: flex;
    flex-flow: row wrap;
    justify-content: space-between;
    width: 100%;
    margin-bottom: 1rem;
}

.forget-password-label,
.back-label {
    text-align: left;
    color: #55C2EB;
    font-size: 15px;
    transition: all 0.2s ease 0s;
    -ms-transition: all 0.2s ease 0s;
    -moz-transition: all 0.2s ease 0s;
    -o-transition: all 0.2s ease 0s;
    -webkit-transition: all 0.2s ease 0s;
}

    .forget-password-label:hover,
    .back-label:hover{
        color: #ffffff;
    }


.remeber-me-label {
    text-align: left;
    color: #FFFFFF;
    font-size: 15px;
}

.reset-password-confirmation .title,
.forgot-password-confirmation .title,
.reset-password .title,
.forgot-password .title {
    font-weight: 600;
}

.reset-password button,
.reset-password button:hover,
.forgot-password button,
.forgot-password button:hover {
    color: #FFFFFF;
}

.description {
    color: #FFFFFF;
    font-size: 18px;
    font-weight: 200;
}

.reset-password .logo-img,
.reset-password-confirmation .logo-img,
.forgot-password .logo-img,
.forgot-password-confirmation .logo-img {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding-top: 6rem;
}

.reset-password .centered-form,
.reset-password-confirmation .centered-form,
.forgot-password .centered-form,
.forgot-password-confirmation .centered-form {
    display: flex;
    flex-flow: column nowrap;
    align-items: center;
    position: absolute;
    top: 50%;
    left: 50%;
    margin-right: -50%;
    transform: translate(-50%, -50%);
    min-height: 0px;
}

/*                          Login button  */
.btn {
    width: 25rem;
    max-width: none;
    margin-top: 1rem;
    border-radius: 0.5rem;
    height: 3.5rem;
    font-size: 1.2rem;
    background-color: #55C2EB;
}




/*                          responsive section */


@media screen and (max-width: 420px) {
    .form-control {
        width: auto;
    }

    .btn {
        width: 100%;
    }

    .title {
        margin-bottom: 1px;
    }

    .form-control {
        margin-bottom: 2px;
    }
}
